OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
oms::Scope Class Reference

`#include <Scope.h>`

## Public Member Functions
Model * | newModel (const ComRef &cref)
oms_status_enu_t | deleteModel (const ComRef &cref)
oms_status_enu_t | renameModel (const ComRef &cref, const ComRef &newCref)
oms_status_enu_t | exportModel (const ComRef &cref, const std::string &filename)
oms_status_enu_t | importModel (const std::string &filename, char **cref)
oms_status_enu_t | setTempDirectory (const std::string &newTempDir)
oms_status_enu_t | setWorkingDirectory (const std::string &newWorkingDir)
oms_status_enu_t | getElement (const ComRef &cref, oms::Element **element)
oms_status_enu_t | getElements (const ComRef &cref, oms::Element ***elements)
Model * | getModel (const ComRef &cref)
oms_status_enu_t | loadSnapshot (const ComRef &cref, const char *snapshot, char **newCref)
oms_status_enu_t | importSnapshot (const ComRef &cref, const char *snapshot, char **newCref)
const std::string & | getTempDirectory () const
const std::string & | getWorkingDirectory ()

## Static Public Member Functions
static Scope & | GetInstance ()
static oms_status_enu_t | miniunz (const std::string &filename, const std::string &extractdir)

## Private Member Functions
| Scope ()
| ~Scope ()
| Scope (Scope const &)
| not implemented
Scope & | operator= (Scope const &)
| not implemented

## Private Attributes
std::vector< Model * > | models
| last element is always NULL
std::map< ComRef, unsigned int > | models_map
std::string | tempDir
std::string | workDir

## Constructor & Destructor Documentation

## ◆ Scope() [1/2]

oms::Scope::Scope | ( |  | ) |
| private

Here is the call graph for this function:

## ◆ ~Scope()

oms::Scope::~Scope | ( |  | ) |
| private

## ◆ Scope() [2/2]

oms::Scope::Scope | ( | Scope const & |  | ) |
| private

not implemented

## Member Function Documentation

## ◆ deleteModel()

oms_status_enu_t oms::Scope::deleteModel | ( | const ComRef & | cref | ) |

Here is the caller graph for this function:

## ◆ exportModel()

oms_status_enu_t oms::Scope::exportModel | ( | const ComRef & | cref,
|  | const std::string & | filename
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getElement()

oms_status_enu_t oms::Scope::getElement | ( | const ComRef & | cref,
|  | oms::Element ** | element
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getElements()

oms_status_enu_t oms::Scope::getElements | ( | const ComRef & | cref,
|  | oms::Element *** | elements
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetInstance()

oms::Scope & oms::Scope::GetInstance | ( |  | ) |
| static

This is instance is used as global scope. It would also be possible to have several independent local scopes.

## ◆ getModel()

oms::Model * oms::Scope::getModel | ( | const ComRef & | cref | ) |

## ◆ getTempDirectory()

const std::string & oms::Scope::getTempDirectory | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ getWorkingDirectory()

const std::string & oms::Scope::getWorkingDirectory | ( |  | ) |

Here is the caller graph for this function:

## ◆ importModel()

oms_status_enu_t oms::Scope::importModel | ( | const std::string & | filename,
|  | char ** | cref
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ importSnapshot()

oms_status_enu_t oms::Scope::importSnapshot | ( | const ComRef & | cref,
|  | const char * | snapshot,
|  | char ** | newCref
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ loadSnapshot()

oms_status_enu_t oms::Scope::loadSnapshot | ( | const ComRef & | cref,
|  | const char * | snapshot,
|  | char ** | newCref
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ miniunz()

oms_status_enu_t oms::Scope::miniunz | ( | const std::string & | filename,
|  | const std::string & | extractdir
| ) |  |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ newModel()

oms::Model * oms::Scope::newModel | ( | const ComRef & | cref | ) |

Here is the call graph for this function:

## ◆ operator=()

Scope & oms::Scope::operator= | ( | Scope const & |  | ) |
| private

not implemented

## ◆ renameModel()

oms_status_enu_t oms::Scope::renameModel | ( | const ComRef & | cref,
|  | const ComRef & | newCref
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setTempDirectory()

oms_status_enu_t oms::Scope::setTempDirectory | ( | const std::string & | newTempDir | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setWorkingDirectory()

oms_status_enu_t oms::Scope::setWorkingDirectory | ( | const std::string & | newWorkingDir | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ models

std::vector<Model*> oms::Scope::models
| private

last element is always NULL

## ◆ models_map

std::map<ComRef, unsigned int> oms::Scope::models_map
| private

## ◆ tempDir

std::string oms::Scope::tempDir
| private

## ◆ workDir

std::string oms::Scope::workDir
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Scope.h
- /var/lib/jenkins/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Scope.cpp